libzypp: zypp::sat::AllPTFs Class Reference

libzypp 17.36.6

Public Member Functions | List of all members
zypp::sat::AllPTFs Class Reference

Container of packages providing `ptf()` More...

`#include <zypp/sat/WhatProvides.h>`

Inheritance diagram for zypp::sat::AllPTFs:

## Public Member Functions
| AllPTFs ()
Public Member Functions inherited from zypp::sat::WhatProvides
| WhatProvides ()
| Default ctor.
| WhatProvides (Capability cap_r)
| Ctor from Capability.
| WhatProvides (Capabilities caps_r)
| Ctor collecting all providers of capabilities in `caps_r`.
| WhatProvides (const CapabilitySet &caps_r)
| Ctor collecting all providers of capabilities in `caps_r`.
bool | empty () const
| Whether the container is empty.
size_type | size () const
| Number of solvables inside.
const_iterator | begin () const
| Iterator pointing to the first Solvable.
const_iterator | end () const
| Iterator pointing behind the last Solvable.
Public Member Functions inherited from zypp::sat::SolvIterMixin< WhatProvides, detail::WhatProvidesIterator >
bool | empty () const
| Whether the collection is epmty.
size_type | size () const
| Size of the collection.
bool | contains (const TSolv &solv_r) const
| Whether collection contains a specific Solvable.
Solvable_iterator | solvableBegin () const
Solvable_iterator | solvableEnd () const
Iterable< Solvable_iterator > | solvable () const
PoolItem_iterator | poolItemBegin () const
PoolItem_iterator | poolItemEnd () const
Iterable< PoolItem_iterator > | poolItem () const
Selectable_iterator | selectableBegin () const
Selectable_iterator | selectableEnd () const
Iterable< Selectable_iterator > | selectable () const

## Additional Inherited Members
Public Types inherited from zypp::sat::WhatProvides
using | value_type = Solvable
using | size_type = unsigned int
using | const_iterator = detail::WhatProvidesIterator
Public Types inherited from zypp::sat::SolvIterMixin< WhatProvides, detail::WhatProvidesIterator >
using | size_type
using | Solvable_iterator
using | PoolItem_iterator
using | Selectable_iterator
| SolvIterMixin ()
| SolvIterMixin (const SolvIterMixin &)=default
| SolvIterMixin (SolvIterMixin &&) noexcept=default
| ~SolvIterMixin ()
SolvIterMixin & | operator= (const SolvIterMixin &)=default
SolvIterMixin & | operator= (SolvIterMixin &&) noexcept=default
Static Protected Member Functions inherited from zypp::sat::detail::PoolMember
static PoolImpl & | myPool ()
Related Symbols inherited from zypp::sat::WhatProvides
std::ostream & | operator<< (std::ostream &str, const WhatProvides &obj)
| Stream output.

## Detailed Description

Container of packages providing `ptf()`

Definition at line 137 of file WhatProvides.h.

## Constructor & Destructor Documentation

## ◆ AllPTFs()

zypp::sat::AllPTFs::AllPTFs | ( |  | ) |
| inline

Definition at line 140 of file WhatProvides.h.

The documentation for this class was generated from the following file:

- zypp/sat/WhatProvides.h